Subject: Re: [PATCH v3 0/5] notes.c: introduce "--no-blank-line" option

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Dec 2022 20:35:59 +0900

Teng Long <[email-masked]> writes:

> Eric Sunshine <[email-masked]> writes:
>
>> Taking a step back, perhaps think of this in terms of "separator". The
>> default behavior is to insert "\n" as a separator between notes. If
>> you add a --separator option, then users could supply their own
>> separator, such as "----\n" or, in your case, "" to suppress the blank
>> line.
>
> Your idea is an enhancement of the original one of me. I think it's a suitable
> name and I could implement it, maybe we could hear about Junio's advice of the
> naming?

Yeah, saying "separator" clarifies what that empty line is meant to
be (i.e. it is an inter-paragraph separator), and is much better
than "newline" or "blankline", I would think.

Thanks.